# Share doc between python- and python3-
%global _docdir_fmt %{name}
%global sum Google APIs Client Library for Python
%global srcname google-api-client

Name:           google-api-python-client
Summary:        %{sum}
Epoch:          2
Version:        2.50.0
Release:        1

License:        ASL 2.0
URL:            https://github.com/googleapis/google-api-python-client
Source0:        https://github.com/googleapis/google-api-python-client/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Patch0:         0001-Remove-version-restrictions.patch

%description 
Written by Google, this library provides a small, flexible, and powerful
Python client library for accessing Google APIs.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel >= 3.3
BuildRequires:  python3-setuptools
BuildRequires:  python3-httplib2 >= 0.9.2
BuildRequires:  python3-oauth2client >= 2.0.0
BuildRequires:  python3-uritemplate >= 3.0.0
BuildRequires:  python3-six >= 1.6.1
BuildRequires:  python3dist(google-api-core)
BuildRequires:  python3dist(google-auth)
BuildRequires:  python3dist(google-auth-httplib2)

Requires:       python3-httplib2 >= 0.9.2
Requires:       python3-oauth2client >= 2.0.0
Requires:       python3-uritemplate >= 3.0.0
Requires:       python3-six >= 1.6.1

%description -n python3-%{srcname}
Written by Google, this library provides a small, flexible, and powerful 
Python 3 client library for accessing Google APIs.

%prep
%setup -q
%patch0 -p1

# remove egg info
rm -rf google_api_python_client.egg-info

# remove shebang without touching timestamp
for lib in googleapiclient/*.py; do
 sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%build
%{py3_build}

%install
%{py3_install}

%files -n python3-%{srcname}
%license LICENSE 
%doc CHANGELOG.md
%{python3_sitelib}/apiclient/
%{python3_sitelib}/googleapiclient/
%{python3_sitelib}/google_api_python_client-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Jun 27 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 2:2.50.0-1
- Upgrade to 2.50.0

* Fri Oct 30 2020 jiangxinyu <jiangxinyu@kylinos.cn> - 1:1.6.7-11
- Init  google-api-python-client project
